\documentclass[11pt]{standalone}
\usepackage{stanli}

\begin{document}
    
\begin{tikzpicture}

\scaling{1.4}

%% Structure
\point{a}{0}{1.5};
\point{b}{2}{1.5};
\point{c}{4}{1.5};
\point{d}{2}{0}; 

\beam{2}{a}{b};
\beam{2}{b}{c};
\beam{2}{d}{b};
\beam{2}{a}{d};
\beam{2}{c}{d};

\support{1}{a};
\support{2}{c};

\hinge{1}{a};
\hinge{1}{b};
\hinge{1}{c};
\hinge{1}{d};

\load{1}{d};

\dimensioning{1}{a}{b}{-1}[$2$~m];
\dimensioning{1}{b}{c}{-1}[$2$~m];
\dimensioning{2}{d}{b}{-1.4}[$1.5$~m];

\notation{1}{a}{$\bf 1$}[above=1mm];
\notation{1}{b}{$\bf 2$}[above=1mm];
\notation{1}{c}{$\bf 3$}[above=1mm];
\notation{1}{d}{$\bf 4$}[below=1mm];

\notation{1}{d}{20 kN}[right=11mm];

\end{tikzpicture}

\end{document}